package net.recompile.hello.resources;

import javax.ws.rs.ConsumeMime;
import javax.ws.rs.Path;
import javax.ws.rs.GET;
import javax.ws.rs.PUT;
import javax.ws.rs.ProduceMime;

@Path("hello")
public class HelloResource {
    
    private static String name = "World";

    @GET
    @ProduceMime("text/plain")
    public String getText() {
        return "Hello, " + name + "!\n";
    }
    
    @PUT
    @ConsumeMime("text/plain")
    public void setText(String name) {
        HelloResource.name = name;
    }

}
